Subject: [bug #34619] Aborted compilation when configured with --enable-debug-malloc

From: Bake Timmons <[email-masked]>
Date: Sat, 22 Oct 2011 11:24:48 +0000

URL:
  <http://savannah.gnu.org/bugs/?34619>

                 Summary: Aborted compilation when configured with
--enable-debug-malloc
                 Project: Guile
            Submitted by: bt3
            Submitted on: Sat 22 Oct 2011 11:24:47 AM GMT
                Category: None
                Severity: 3 - Normal
              Item Group: None
                  Status: None
                 Privacy: Public
             Assigned to: None
             Open/Closed: Open
         Discussion Lock: Any

    _______________________________________________________

Details:

After configuring with --enable-debug-malloc, compiling yielded the
following:

libtool: compile:  gcc -DHAVE_CONFIG_H -DBUILDING_LIBGUILE=1 -I.. -I..
-I../lib -I../lib -pthread -Wall -Wmissing-prototypes
-Wdeclaration-after-statement -Wswitch-enum -fvisibility=hidden
-I/usr/local/include -g -ggdb3 --param l1-cache-line-size=64 --param
l1-cache-size=64 --param l2-cache-size=512 -march=athlon64 -O2
-fno-omit-frame-pointer -MT libguile_2.2_la-gc-malloc.lo -MD -MP -MF
.deps/libguile_2.2_la-gc-malloc.Tpo -c gc-malloc.c  -fPIC -DPIC -o
.libs/libguile_2.2_la-gc-malloc.o
mv -f .deps/libguile_2.2_la-frames.Tpo .deps/libguile_2.2_la-frames.Plo
gc-malloc.c: In function 'scm_gc_register_collectable_memory':
gc-malloc.c:157:5: error: too few arguments to function 'scm_malloc_register'

Here is a patch:

commit 1f97614e3b42021d4e9c9a3b1550e2401117b5d5
Author: Bake Timmons <[email-masked]>
Date:   Sat Oct 22 07:04:05 2011 -0400

    * libguile/gc-malloc.c (scm_gc_register_collectable_memory): Add the
      missing second argument in the call to scm_malloc_register.

diff --git a/libguile/gc-malloc.c b/libguile/gc-malloc.c
index 839154a..a8a54c7 100644
--- a/libguile/gc-malloc.c
+++ b/libguile/gc-malloc.c
@@ -154,7 +154,7 @@ scm_gc_register_collectable_memory (void *mem, size_t
size, const char *what)
   /* Nothing to do.  */
 #ifdef GUILE_DEBUG_MALLOC
   if (mem)
-    scm_malloc_register (mem);
+    scm_malloc_register (mem, what);
 #endif
 }

    _______________________________________________________

Reply to this item at:

  <http://savannah.gnu.org/bugs/?34619>

_______________________________________________
  Message sent via/by Savannah
  http://savannah.gnu.org/